
# Copyright 2024 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake-gtest, ament-cmake-ros, ament-lint-auto, ament-lint-common, ecl-build, ecl-license, ecl-type-traits }:
buildRosPackage {
  pname = "ros-iron-ecl-math";
  version = "1.2.1-r4";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/ecl_core-release/archive/release/iron/ecl_math/1.2.1-4.tar.gz";
    name = "1.2.1-4.tar.gz";
    sha256 = "257f5af511ded59223bbc39dc8e61b38acf3e6984059688e36f2a68cb201b01e";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake-ros ecl-build ];
  checkInputs = [ ament-cmake-gtest ament-lint-auto ament-lint-common ];
  propagatedBuildInputs = [ ecl-license ecl-type-traits ];
  nativeBuildInputs = [ ament-cmake-ros ];

  meta = {
    description = "This package provides simple support to cmath, filling in holes
    or redefining in a c++ formulation where desirable.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
