
# Copyright 2024 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, fmi-adapter, launch, launch-ros }:
buildRosPackage {
  pname = "ros-iron-fmi-adapter-examples";
  version = "2.1.2-r2";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/fmi_adapter-release/archive/release/iron/fmi_adapter_examples/2.1.2-2.tar.gz";
    name = "2.1.2-2.tar.gz";
    sha256 = "a9393cddbd8f495acee931310ad254ec1328accb3f743d11f570facef6f85c67";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  propagatedBuildInputs = [ fmi-adapter launch launch-ros ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "Provides small examples for use of the fmi_adapter package";
    license = with lib.licenses; [ asl20 ];
  };
}
