
# Copyright 2024 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, leo, leo-viz }:
buildRosPackage {
  pname = "ros-iron-leo-desktop";
  version = "2.0.0-r1";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/leo_desktop-release/archive/release/iron/leo_desktop/2.0.0-1.tar.gz";
    name = "2.0.0-1.tar.gz";
    sha256 = "c717c10df8ff0e789d9f67b3d6ce8b70a942888d4d070c85a6f2621ff67442e3";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  propagatedBuildInputs = [ leo leo-viz ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "Metapackage of software for operating Leo Rover from ROS desktop";
    license = with lib.licenses; [ mit ];
  };
}
