
# Copyright 2024 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, ament-copyright, ament-flake8, ament-pep257, pythonPackages }:
buildRosPackage {
  pname = "ros-iron-neo-simulation2";
  version = "1.0.0-r4";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/neo_simulation2-release/archive/release/iron/neo_simulation2/1.0.0-4.tar.gz";
    name = "1.0.0-4.tar.gz";
    sha256 = "af3c9afc208840fa3ef5356dea7a16f931e73357d90279d3a97d3a259d7d37cc";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  checkInputs = [ ament-copyright ament-flake8 ament-pep257 pythonPackages.pytest ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "ROS-2 Simulation packages for neobotix robots";
    license = with lib.licenses; [ mit ];
  };
}
