
# Copyright 2024 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, urdf, xacro }:
buildRosPackage {
  pname = "ros-iron-velodyne-description";
  version = "2.0.3-r3";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/velodyne_simulator-release/archive/release/iron/velodyne_description/2.0.3-3.tar.gz";
    name = "2.0.3-3.tar.gz";
    sha256 = "108f7c5ec519a0d5040cf4b7493b02ef83d911d8d7888cd7be519b3b48bf44bb";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  propagatedBuildInputs = [ urdf xacro ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "URDF and meshes describing Velodyne laser scanners.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
