
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, camera-calibration-parsers, catkin, compressed-image-transport, cv-bridge, dynamic-reconfigure, image-proc, roslang, rospack, sensor-msgs }:
buildRosPackage {
  pname = "ros-noetic-opt-camera";
  version = "2.1.28-r1";

  src = fetchurl {
    url = "https://github.com/tork-a/jsk_3rdparty-release/archive/release/noetic/opt_camera/2.1.28-1.tar.gz";
    name = "2.1.28-1.tar.gz";
    sha256 = "5c330ebf194ef733283d8c6799f6fa64711187179dcfa7c515b5066c8dc2439c";
  };

  buildType = "catkin";
  buildInputs = [ catkin roslang ];
  propagatedBuildInputs = [ camera-calibration-parsers compressed-image-transport cv-bridge dynamic-reconfigure image-proc rospack sensor-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "opt_camera";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
