
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, rospy, std-msgs }:
buildRosPackage {
  pname = "ros-noetic-rospatlite";
  version = "2.1.28-r1";

  src = fetchurl {
    url = "https://github.com/tork-a/jsk_3rdparty-release/archive/release/noetic/rospatlite/2.1.28-1.tar.gz";
    name = "2.1.28-1.tar.gz";
    sha256 = "4ceff1697c85f7d5a9f18d0ed62d899483e8cb311ca8aa0e0bfa83b5c7c4f212";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ rospy std-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "rospatlite";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
